# Contact Role Rule Sets Contact Role Rule Sets ## Gets all of the contact role rule sets in the system. - [GET /contactRoleRuleSets/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/listcontactrolerulesets.md): This method will scan all contact role rule sets and and return them to the caller. ## Creates a new contact role rule set record that does not already exist. - [POST /contactRoleRuleSets/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/createcontactroleruleset.md): This method will auto-generate an ID and create a new contact role rule set. If an ID is specified for the contact role rule set, an error will be thrown. ## Execute Batch Operations - [POST /contactRoleRuleSets/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a contact role rule set from the system by its ID. - [DELETE /contactRoleRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/deletecontactroleruleset.md): This method will delete a contact role rule set with the specified ID. ## Returns a contact role rule set from the system by its ID. - [GET /contactRoleRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/getcontactroleruleset.md): This method will look up a contact role rule set by the specified ID and return it back. ## Partially updates a contact role rule set with the specified ID. - [PATCH /contactRoleRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/patchcontactroleruleset.md): This method will patch an existing contact role rule set with the specified ID, using the HTTP PATCH specification. ## Updates a contact role rule set with the specified ID. - [PUT /contactRoleRuleSets/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-role-rule-sets/updatecontactroleruleset.md): This method will update an existing contact role rule set with the specified ID.